/*
 * rawserial.h -- Machine/OS dependent serial I/O 
 *
 *  Copyright 1997 John E. Stone (j.stone@acm.org)
 *
 *  $Id: rawserial.h,v 1.2 1998/02/18 13:20:08 johns Exp $
 *
 */

/*
 * Machine/OS dependent serial port I/O routines.
 */

typedef void * CommHandle;

int comm_open(char * commname, int speed, CommHandle * commhandleptr, int *iofd); 
int comm_write(CommHandle commhandle, char * buf, int sz); 
int comm_read(CommHandle commhandle, char * buf, int sz); 
int comm_close(CommHandle * commhandleptr); 

